﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{2ED5D6B7-FD62-4F78-9C12-46A31F861789}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>DBLibrary</RootNamespace>
    <AssemblyName>DBLibrary</AssemblyName>
    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>..\packages\EntityFramework.6.2.0\lib\net45\EntityFramework.dll</HintPath>
    </Reference>
    <Reference Include="EntityFramework.SqlServer, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>..\packages\EntityFramework.6.2.0\lib\net45\EntityFramework.SqlServer.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Core" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.Security" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Business\Capteur.cs" />
    <Compile Include="Business\Data.cs" />
    <Compile Include="Business\Ligne.cs" />
    <Compile Include="Business\Mapper\MapperCapteur.cs" />
    <Compile Include="Business\Mapper\MapperData.cs" />
    <Compile Include="Business\Mapper\MapperLigne.cs" />
    <Compile Include="Business\Mapper\MapperMetadata.cs" />
    <Compile Include="Business\Mapper\MapperReleve.cs" />
    <Compile Include="Business\Metadata.cs" />
    <Compile Include="Business\Releve.cs" />
    <Compile Include="DataAccess\capteur.cs">
      <DependentUpon>SensorFlow.tt</DependentUpon>
    </Compile>
    <Compile Include="DataAccess\data.cs">
      <DependentUpon>SensorFlow.tt</DependentUpon>
    </Compile>
    <Compile Include="DataAccess\Ligne.cs">
      <DependentUpon>SensorFlow.tt</DependentUpon>
    </Compile>
    <Compile Include="DataAccess\metadata.cs">
      <DependentUpon>SensorFlow.tt</DependentUpon>
    </Compile>
    <Compile Include="DataAccess\releve.cs">
      <DependentUpon>SensorFlow.tt</DependentUpon>
    </Compile>
    <Compile Include="DataAccess\SensorFlow.Context.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>SensorFlow.Context.tt</DependentUpon>
    </Compile>
    <Compile Include="DataAccess\SensorFlow.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>SensorFlow.tt</DependentUpon>
    </Compile>
    <Compile Include="DataAccess\SensorFlow.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>SensorFlow.edmx</DependentUpon>
    </Compile>
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Service\ServiceCapteur.cs" />
    <Compile Include="Service\ServiceData.cs" />
    <Compile Include="Service\ServiceLigne.cs" />
    <Compile Include="Service\ServiceMetadata.cs" />
    <Compile Include="Service\ServiceReleve.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="App.Config" />
    <EntityDeploy Include="DataAccess\SensorFlow.edmx">
      <Generator>EntityModelCodeGenerator</Generator>
      <LastGenOutput>SensorFlow.Designer.cs</LastGenOutput>
    </EntityDeploy>
    <None Include="DataAccess\SensorFlow.edmx.diagram">
      <DependentUpon>SensorFlow.edmx</DependentUpon>
    </None>
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <Service Include="{508349B6-6B84-4DF5-91F0-309BEEBAD82D}" />
  </ItemGroup>
  <ItemGroup />
  <ItemGroup>
    <Content Include="DataAccess\SensorFlow.Context.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <DependentUpon>SensorFlow.edmx</DependentUpon>
      <LastGenOutput>SensorFlow.Context.cs</LastGenOutput>
    </Content>
    <Content Include="DataAccess\SensorFlow.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <DependentUpon>SensorFlow.edmx</DependentUpon>
      <LastGenOutput>SensorFlow.cs</LastGenOutput>
    </Content>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>